{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.fqdn}";
  flags = currentMachine.configurationFlags;
in

mkIf (flags.edition-video && flags.graphical) {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Vidéo
    #cinelerra     # editeur video
    pitivi        # montage vidéo
  ];
}
